Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.testing.cache
Class Item

    java.lang.Object
      org.hibernate.testing.cache.Item

Direct Known Subclasses:
  VersionedItem

    public class Item

extends Object

Author:
  Gavin King

Constructor Summary
`Item()`

Method Summary
`String` | `getDescription()`
`Long` | `getId()`
`String` | `getName()`
`void` | `setDescription(String description)`
`void` | `setId(Long id)`
`void` | `setName(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Item

    public Item()

Method Detail

### getDescription

    public String getDescription()

### setDescription

    public void setDescription(String description)

### getId

    public Long getId()

### setId

    public void setId(Long id)

### getName

    public String getName()

### setName

    public void setName(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.